Bug 39035 - Bindconf wipes out rndc key configuration in named.conf
Bindconf wipes out rndc key configuration in named.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bindconf (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-03 18:47 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 15:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-03 18:47:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
after setting up rndc to get bind 9.1.1(DNS) working properly. After 
installing the key into rndc.conf and named.conf. I ran bindconf to 
configure DNS settings. Then the key settings got wiped out of named.conf.

How reproducible:
Always

Steps to Reproduce:
1.setup rndc and install key settings in named.conf and rndc.conf
2.use bindconf to setup bind 9.1.1
3.applying settings wipes the key out of named.conf
	

Actual Results:  missing key settings from named.conf

Expected Results:  need rndc key settings in named.conf

Additional info:

I got around this bug by making a backup of the key settings to paste into 
named.conf after bindconf was finished with it. Bindconf has no place to 
put encripted key info into.
Comment 1 Need Real Name 2001-05-07 18:38:47 EDT
See redhat linux forums url
http://www.redhat.com/WebX?13@176.nKZMaPDKvm9^1@.ee70689/1
for more information

Comment 2 Daniel Walsh 2002-08-07 11:14:38 EDT
We have added /etc/named.custom for the purpose of allowing users to add their own
custom changes to named.  This file will automatically be included into
named.conf.  Fixed in redhat-config-bind 1.7.1-9  It will be in the next version
of RedHat Linux.

Note You need to log in before you can comment on or make changes to this bug.